Subject: Re: bug#36644: Git log search

From: Robert Pluim <[email-masked]>
Date: Thu, 18 Jul 2019 17:12:45 +0200

>>>>> On Thu, 18 Jul 2019 18:01:12 +0300, Dmitry Gutov <[email-masked]> said:

    Dmitry> On 16.07.2019 23:15, Juri Linkov wrote:
    >> Should this still be used when the need is to pass regexps to the backend
    >> search command verbatim?

    Dmitry> What do you mean, "the need"? If it's a verbatim string, we should
    Dmitry> escape characters that have special meaning in regexps (or do like
    Dmitry> Andreas suggested and pass --fixed-string to 'git log'). If it's a
    Dmitry> regexp, we should document it as such.

'verbatim' to me means that emacs should not touch it. If the backend
command such as git chooses to interpret that string as a regexp,
thatʼs up to the command. If emacs starts escaping characters in the
string or using --fixed-string, then we limit the functionality to
*only* fixed strings.

Robert